
Partial Class QueryStringResult
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' Retrieve the query string information.
        Dim Feet, Yards As Single
        Feet = Val(Request.QueryString("Feet"))
        Yards = Val(Request.QueryString("Yards"))

        ' Perform the calculation
        Dim Inches, Meters As Single
        Inches = 36 * Yards + 12 * Feet
        Meters = Inches / 39.37

        ' Display the result
        lblResult.Text = Yards.ToString() & " yards + " & Feet.ToString()
        lblResult.Text &= " feet = " & Meters.ToString() & " Meters. "

    End Sub
End Class
